ISDNRATE(1)

NAME
isdnrate - Print telefon rates and various info from rate-files(5).

SYNOPSIS
isdnrate -bbest -dday -ffrom -hhour -llen -o -pprovs -r vNN -s -ttakt -vverbose -xexclude -C -Ddet -Gdata -H -L -N -Osocketfile -Ppiddir -Ssort -T -U -V -Xexplain -Z NUMBER ...

All options are optional.

DESCRIPTION
The isdnrate program prints various information from rate-files(5). It's main purpose is the calculation of telefon rates from your location to an arbitrary destination at a certain time and of a certain length for all the providers in a rate-file.

  NUMBER

A telefon number may be

    1234 a local area number

    01234 a different area in your country

    +12345 a foreign country

    China text for a foreign country

    Paris a town

    US a code as defined in country.dat.

    Internet a Service name (if option -s is also given).

Note that currently only city names in AT, DE, NL are supported plus some international capitals.
Note also, spaces in country- or service names may be given as underscores.

  OPTIONS

-bbest Print only best providers. Default is all.

-crateconf Use rateconf as provider selection file and ignore setting in isdn.conf.

-dday Calc rates for day. day can be one of

    dd day of current month
    dd.mm day month
    dd.mm.yy[yy] day, month, year
    W Weekday
    N Weekday - night
    E Weekend

Default is now.

-ffrom Callers location. Default ist from isdn.conf.

-hhour Time hh[:mm[:ss]] of call. Default is now.

-iratefile Use ratefile (usually rate-CC.dat) as source for telephone fees and ignore setting in isdn.conf.

-llen Length of call in second. Default value is 153 secs.

-o Show only booked providers. These are providers, which are listed in rate.conf.

-p provider[,provider...] Print only info for given provider(s). provider is the provider number, without the leading VBN, or provider_variant if there are more variations, or B for business providers.

-rvNN Show only providers whose vbn begins with NN. The vbn is also known as provider prefix consisting of VBN and provider number.

-s Consider NUMBER as the name of a service and print all numbers / providers, which supply this service.

-ttakt Print only providers, which have calculation impulses smaller or equal to takt. Default is 9999.

-vverbose Set verbose level.

-x provider[,provider...] Exclude these provider(s).

  DISPLAY AND RUN OPTIONS

-C Connect to a running isdnrate daemon. This avoids long startup times.

-D Start as a daemon, waiting for connections from a client. The socket /tmp/isdnrate is created, which clients can connect to.

-D2 Start as a daemon and go background.

-CD3 Stop a running daemon.

-Gn Print raw data for connection. n may be currently 97,98,99.

-H Print a header.

-L Print a semicolon separated list of

    vbn ; providername ; zone ; day ; time ; currency ; charge ; basicprice ; price ; duration ; charge/min ; takt ; minimum price

-N Show info about following numbers. If no provider is given, the preselected provider is used.

-Osocketfile Write socket to given filename on start of daemon. Default is tmp/isdnrate.

-Ppiddir Write own PID to piddir/isdnrate.pid on start of daemon.

-Ssort Sort output by sort, which may be

    v vbn or n provider name. Default is by charge.

-T Print a table of charges for daytimes weekday/weekend.

-V Print version info and exit.

-Xexplain Print additional information for charge or from rate-file. explain may be

    1 (zone)
    2 (charge/min, zone, day, time)
    50 International areas
    51 National zones
    52 Services
    COMMENT Print C:COMMENT: info from rate files.

If -s is given, the number of the service is also listed with -X1 or -X2.

-Z Print info for LCR
e.g. isdnrate -p1 -ZX 19430
shows the rate for provider 1 and the cheapest rate to this service.

Note: Various output options may not be used together. If you gave conflicting options you'll see a warning.
Note also: Sort by name or providernumber and -bbest will bring you the first best providers in sorting order, not the cheapest.
And finally: Some options like -X50, -X51, -X52, -D, -V don't require a telefon NUMBER.

FILES
rate-CC.dat, holiday-CC.dat, dest.gdbm, zone-CC-PPP.gdbm, isdn.conf, telrate.cgi and more.
Note: The extension of zone- and dest data files depends on configuration. Recently .cdb is used.

EXAMPLES
isdnrate -D2
Start the isdnrate daemon.

isdnrate -D2 -P /var/run -O /tmp/isdnr_socket
Start the isdnrate daemon, write isdnrate.pid to /var/run and create thew given socket.

isdnrate -CH -b5 -f01 -l120 Attersee
Connect to running daemon, print a header and the best 5 rates from Vienna (01) to destination Attersee for a connection length of 2 Minutes.

isdnrate -CX -p1_2,24 +1
Show rates and zones for destination USA for providers 1_2 and 24.

isdnrate -C -l60 -rv010 HAM
Show rates for a one minute call to Hamburg (HAM: airport code) and use only providers whose vbn begins with 010. So provider A with vbn 01030 is displayed, provider B with vbn 0190023 is not.

isdnrate -CX -H -dW -b5 US CA
Show a header, rates and zones for destinations USA and Canada for best 5 providers during workday.

isdnrate -CHoX US
Show header, rate and zone for destination USA for booked providers only.

isdnrate -CsX -l60 Internet
Show rates and numbers for service Internet for a 1 minutes call.

isdnrate -CZ 19430
Show rates and the best provider for this (service-)number.

isdnrate -CD3
Stop the running isdnrate daemon.

SIGNALS
A isdnrate daemon restarts (and therefore rereads its configuration) on getting a SIGHUP signal.

SEE ALSO
rate-files(5), isdnlog(8), isdn.conf(5)

BUGS
Definitely yes. Sometimes more then one daemon can be started, sometimes the socket is not removed, when the daemon terminates. if this happens ('socket in use'), do a rm /tmp/isdnrate and try again.

AUTHORS
Andreas Kool <akool@isdn4linux.de> started this program. Leopold Toetsch <lt@toetsch.at> continued the work and brought this man page to you. Michael Reinelt <reinelt@eunet.at> did the calculation engine and various tools for it.